## com.google.gwt.user.client.ui
Interface ChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DelegatingChangeListenerCollection

Deprecated. As of GWT 1.6, DOM and logical change events are separate. Use `ChangeHandler` for changes triggered by a DOM-based change event and `ValueChangeHandler` for changes resulting from a logical event such as a method call that changes state

    @Deprecated
    public interface ChangeListener

extends java.util.EventListener

Event listener interface for 'change' events.

Method Summary
`void` | `onChange(Widget sender)` Deprecated. See the deprecation message on this interface for details

Method Detail

### onChange

    @Deprecated
    void onChange(Widget sender)

  Deprecated. See the deprecation message on this interface for details

  Fired when a widget changes, where 'change' is defined by the widget sending the event.

  Parameters:
    `sender` - the widget that has changed